#
# spec file for package ghc-path
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name path
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.5.13
Release:        lp150.1.8
Summary:        Support for well-typed paths
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hashable-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
%if %{with tests}
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-mtl-devel
%endif

%description
Support for well-typed paths.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG README.md

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Mar 27 2017 psimons@suse.com
- Update to version 0.5.13 with cabal2obs.
* Wed Mar 22 2017 psimons@suse.com
- Update to version 0.5.12 revision 2 with cabal2obs.
* Thu Mar  2 2017 psimons@suse.com
- Update to version 0.5.12 revision 1 with cabal2obs.
* Sun Feb  5 2017 psimons@suse.com
- Update to version 0.5.12 with cabal2obs.
* Fri Dec 16 2016 psimons@suse.com
- Update to version 0.5.11 revision 1 with cabal2obs.
* Mon Aug  1 2016 psimons@suse.com
- Update to version 0.5.9 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.5.8 revision 0 with cabal2obs.
* Fri Jun 17 2016 mimi.vx@gmail.com
- update to 0.5.8
  * Add Aeson instances.
* Tue Mar  8 2016 mimi.vx@gmail.com
- update to 0.5.7
  * Fix haddock problem.
  * Reject only .. and .
  * Use filepath's isValid function for additional sanity checks
  * Disable parsing of path consisting only of "."
  * Add NFData instance for Path
  * Some typo/docs improvements
  * Add standard headers to modules
* Sun Nov 29 2015 mimi.vx@gmail.com
- update to 0.5.3
  * Added conversion functions.
* Thu Nov 19 2015 mimi.vx@gmail.com
- initial commit
